List glouton config items
GET
/v1/gloutonconfigitem/
const url = 'https://example.com/v1/gloutonconfigitem/?source=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/gloutonconfigitem/?source=0' \ --header 'Authorization: Bearer <token>'Return all glouton configuration items.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”agent
string format: uuid
cursor
string
The pagination cursor value.
key
string
page_size
integer
Number of results to return per page.
path
string
search
string
A search term.
source
integer
0- unknown1- default2- file3- env4- api
source_text
string
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
agent
required
string
key
required
string
value
required
priority
required
integer
source
required
0- unknown1- default2- file3- env4- api
integer
source_text
required
string
path
string
type
required
0- any1- int2- float3- bool4- string10- list string11- list int20- map string string21- map string int30- thresholds31- services32- name instances33- Blackbox targets34- Prometheus targets35- SNMP targets36- log inputs
integer
type_text
required
string
modified_at
required
string format: date-time
created_at
required
string format: date-time
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "source": 0, "type": 0 } ]}